Skip to main content
POST
/
catchAll
/
datasets
/
{dataset_id}
/
upload
Add companies to dataset via CSV
curl --request POST \
  --url https://catchall.newscatcherapi.com/catchAll/datasets/{dataset_id}/upload \
  --header 'Content-Type: multipart/form-data' \
  --header 'x-api-key: <api-key>' \
  --form file='@example-file'
{
  "dataset_id": "ccabb755-afc2-4047-b84c-78d1f23d49b2",
  "entities_created": 3,
  "validation_report": {
    "total_rows": 3,
    "valid_rows": 3,
    "skipped_count": 0,
    "skipped_rows": []
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication.

Path Parameters

dataset_id
string<uuid>
required

Unique dataset identifier.

Body

multipart/form-data
file
file
required

The CSV file to upload.

Response

Companies added to dataset from CSV successfully.

dataset_id
string<uuid>
required

ID of the dataset that was updated.

Example:

"ccabb755-afc2-4047-b84c-78d1f23d49b2"

entities_created
integer
required

Number of new entities created from the CSV.

Example:

3

validation_report
object
required

Summary of CSV processing results.